SVNConflictDescription (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.wc.SVNConflictDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc
Class SVNConflictDescription

    java.lang.Object
      org.tmatesoft.svn.core.wc.SVNConflictDescription

Direct Known Subclasses:
  SVNPropertyConflictDescription, SVNTextConflictDescription, SVNTreeConflictDescription

public abstract class SVNConflictDescription
extends Object

The SVNConflictDescription represents an object that describes a conflict that has occurred in the working copy. It's passed to `ISVNConflictHandler.handleConflict(SVNConflictDescription)`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNConflictDescription(SVNMergeFileSet mergeFiles, SVNNodeKind nodeKind, SVNConflictAction conflictAction, SVNConflictReason conflictReason)` Creates a new `SVNConflictDescription` object.

Method Summary
`SVNConflictAction` | `getConflictAction()` Returns the action which attempted on an object and which lead to the conflict.
`SVNConflictReason` | `getConflictReason()` Returns the reason why the conflict occurred.
`SVNMergeFileSet` | `getMergeFiles()` Returns information about files involved in the merge.
`SVNNodeKind` | `getNodeKind()` Returns the node kind of the item which the conflict occurred on.
`File` | `getPath()` Returns the working copy path which resulted in a conflict.
`abstract String` | `getPropertyName()` Returns the name of the property on which the conflict occurred.
`abstract boolean` | `isPropertyConflict()` Tells whether it's a property merge conflict or not.
`abstract boolean` | `isTextConflict()` Says whether this object represents a text conflict.
`abstract boolean` | `isTreeConflict()` Says whether this object represents a tree conflict.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNConflictDescription

    public SVNConflictDescription(SVNMergeFileSet mergeFiles,
                                  SVNNodeKind nodeKind,
                                  SVNConflictAction conflictAction,
                                  SVNConflictReason conflictReason)

  Creates a new `SVNConflictDescription` object.

  `propertyName` is relevant only for property conflicts (i.e. in case `isPropertyConflict` is true).

Parameters:
  `mergeFiles` - files involved in the merge
  `nodeKind` - node kind of the item which the conflict occurred on conflict; otherwise false
  `conflictAction` - action which lead to the conflict
  `conflictReason` - why the conflict ever occurred

Method Detail

### isTextConflict

    public abstract boolean isTextConflict()

  Says whether this object represents a text conflict.

  Returns:
    true if it's a text conflict; otherwise false
  Since:
    1.3

### isPropertyConflict

    public abstract boolean isPropertyConflict()

  Tells whether it's a property merge conflict or not.

  Returns:
    true if the conflict occurred while modifying a property; otherwise false
  Since:
    1.3

### isTreeConflict

    public abstract boolean isTreeConflict()

  Says whether this object represents a tree conflict.

  Returns:
    true if it's a tree conflict; otherwise false
  Since:
    1.3

### getPath

    public File getPath()

  Returns the working copy path which resulted in a conflict.

  Returns:
    working copy path
  Since:
    1.3

### getMergeFiles

    public SVNMergeFileSet getMergeFiles()

  Returns information about files involved in the merge.

  Returns:
    merge file set

### getConflictAction

    public SVNConflictAction getConflictAction()

  Returns the action which attempted on an object and which lead to the conflict.

  Returns:
    conflicted action

### getConflictReason

    public SVNConflictReason getConflictReason()

  Returns the reason why the conflict occurred.

  Returns:
    reason of the conflict

### getNodeKind

    public SVNNodeKind getNodeKind()

  Returns the node kind of the item which the conflict occurred on.

  Returns:
    node kind

### getPropertyName

    public abstract String getPropertyName()

  Returns the name of the property on which the conflict occurred.

  Note: relevant only in case of a `property conflict`.

  Returns:
    conflicted property name

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.